Update Agent

Version 4.0.26.10 (latest)

Update Agent

Update an agent.

Request

PATCH /agents/{agent_id}
Datatype
Description
Request
HTTP Request
path
HTTP Path
Expand HTTP Path definition...
agent_id
string
Agent ID
body
HTTP Body
Expand HTTP Body definition...
body
Agent
Expand Agent definition...
can
object
Operations the current user is able to perform on this object
id
string
Agent unique identifier
created_by_user_id
string
User that created the Agent
created_by_name
string
Name of user that created the Agent
created_by_first_name
string
Name of user that created the Agent
created_by_last_name
string
Name of user that created the Agent
created_by_avatar_url
string
Avatar URL of user that created the Agent
name
string
Agent name
description
string
Agent description
category
string
The category of the agent (e.g., dashboard, conversation)
sources
Source[]
has_inaccessible_source
boolean
Has inaccessible source
golden_queries
golden_query_ids
integer[]
context
Agent context
deleted
boolean
Is Agent soft deleted
created_at
string
Agent created_at
updated_at
string
Agent updated_at
content_metadata_id
string
Content metadata ID for this Agent
code_interpreter
boolean
Enables Code Interpreter for this Agent
studio_agent_id
string
Studio Agent ID (if this agent was migrated)
workflow_params
Workflow parameters
query
HTTP Query
Expand HTTP Query definition...
fields
string
Requested fields

Response

200: Agent

Datatype
Description
(object)
can
object
Operations the current user is able to perform on this object
id
string
Agent unique identifier
created_by_user_id
string
User that created the Agent
created_by_name
string
Name of user that created the Agent
created_by_first_name
string
Name of user that created the Agent
created_by_last_name
string
Name of user that created the Agent
created_by_avatar_url
string
Avatar URL of user that created the Agent
name
string
Agent name
description
string
Agent description
category
string
The category of the agent (e.g., dashboard, conversation)
sources
Source[]
Expand Source definition...
model
string
Source model
explore
string
Source explore
has_inaccessible_source
boolean
Has inaccessible source
golden_queries
Expand GoldenQuery definition...
can
object
Operations the current user is able to perform on this object
id
integer
Unique identifier for the golden question
query_id
integer
ID of the associated Looker Query resolved from the answer
questions
string[]
answer
string
The Explore URL representing the answer to the question
is_active
boolean
Whether this golden question should be utilized by the agent
created_by_user_id
integer
ID of the user who created the question
last_updated_by_user_id
integer
ID of the user who last updated the question
created_at
string
Time when the question was created
last_updated_at
string
Time when the question was last updated
golden_query_ids
integer[]
context
Agent context
Expand Context definition...
instructions
string
Agent instructions
deleted
boolean
Is Agent soft deleted
created_at
string
Agent created_at
updated_at
string
Agent updated_at
content_metadata_id
string
Content metadata ID for this Agent
code_interpreter
boolean
Enables Code Interpreter for this Agent
studio_agent_id
string
Studio Agent ID (if this agent was migrated)
workflow_params
Workflow parameters
Expand WorkflowParams definition...
primary_agent
string
The ID of the primary parent agent
polling_frequency_cron
string
Crontab specifying the execution frequency
destination
Workflow delivery destination
Expand WorkflowDestination definition...
type
string
Defines the delivery mechanism ('email' or 'action_hub').
parameters
string
The routing configuration.

400: Bad Request

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

404: Not Found

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link

422: Validation Error

Datatype
Description
(object)
message
string
Error details
Expand ValidationErrorDetail definition...
field
string
Field with error
code
string
Error code
message
string
Error info message
documentation_url
string
Documentation link
documentation_url
string
Documentation link

429: Too Many Requests

Datatype
Description
(object)
message
string
Error details
documentation_url
string
Documentation link